V2.10 launched Aug 23, 2004


--------------------------------------------------------------------------------
V2.20 (Sept-12-2004)
--------------------------------------------------------------------------------

Removed bugs:
	Problems (occasional) in copying databases with nonempty AppInfo/SortInfo
	Crash in drag that followed file info dialog
	Bug in the IconCache
	Crash when download a zip file into Explorer (Treo)
	Text files could not be truncated
	Readonly database could not be deleted from RAM
	Some operations were too slow and could possibly create the impression of "freezing"

New:
	When RE receives (via beam, download, from a mailer etc.) an offline file (i.e. RE is not launched),
	the received path becomes the startup path for the next launch.

	"Apply to all" added to the confirmation dialogs during the multiple delete.

	Non-blocking wait indicator introduced. (Shares the location with the memory indicator)

	Several operations strongly optimized - mostly those concerned with the multi-selection.

	New option:
		'Center button opens menu'
		Works only for the list (Opening/closing tree branches via center button seems to be more important)

	New context menu option for RAM: 
		'Show orphaned files' shows databases with CreatorId's not found among the installed apps.
	
	HotSync Control panel allows the editing of the HotSync paths.

	Cursor control in the multiselect mode :
		Tapping ".." changes to parent directory
		".." is automatically unselected if another item is selected


--------------------------------------------------------------------------------
V2.30 (Nov-12-2004)
--------------------------------------------------------------------------------

Interfacing to external apps
	Direct launching of iSilo, Wordsmith, TiBR, TealDoc, LionDoc, ReadThemAll,
	mmPlayer, AeroPlayer.
	Several popular applications could not be included, as they do not offer suitable control interface.

Viewers, players, readers
	- "External Tools" dialog allows to select default reader, viewer and audio player.
	- "Show player console" command allows displaying a small PocketTunes/AeroPlayer console
	if they are running. Command is not available for the other audio players.

Associations
	Associations and HotSync control panels merged together.
	The associations can be added/deleted and the respective HotSync path defined. (This e.g. provides a way to copy any file to the card.)
	The list of associations is sortable.
    Associations can be backuped and later restored. This helps to recover associations lost e.g. by reset.

Preferences
	Saved/unsaved preferences organized as folder with separate items. (One record = one item.)
	Preferences are thus sortable and the relation to the application can be traced easily.
	Individual records can be viewed or deleted.

Context menu:
    Several new objects offer context-sensitive menu on long pen tap:
	- Up title bar button shows a kind of a path bar.
	- Back/forward buttons let the user select previously visited folders.
	- Shift button offers multi-select actions.
	- Column setup available either as an option dialog or on a long tap of the column header.
	  (Column locking removed as this feature caused confusion.)

Options:
	- Long press of the 5way center button on a file optionally opens its context menu. (General Options)
	- Column setup available either as an option dialog or on a long tap of the column header.
	- Column locking removed as this feature caused confusion.

Built-in viewer:
	Text mode uses the standard text viewer (contents limited to the first 64K)
	Text viewer allows small fonts. (Available via menu)

Other news
	Category tree can be edited (delete, drag between categories)
	Folder drag&drop (or copy&paste) possible
	New tree nodes: RAM and ROM
	DB info dialog allows changing of the DbType and CreatorId (use with care)
	Browser history is preserved across a sublaunch of an external application


--------------------------------------------------------------------------------
V2.40 (Jan-31-2005)
--------------------------------------------------------------------------------

Backup
	- Backup and restore to and from your expansion cards 
	- Very fast backup solution
	- Customize what is backed up or restored
	- Advanced file selection filter
	- Optional encryption and compression of backup files 
	- Incremental backup possible
	- Multiple backups possible
	- Multiple device/users can backup to the same card 
	- Backup uses zip format and allows the same manipulations as any other zip archive.
	  (The only difference is that because of speed reasons the backup does not compute crc.)
	  OS4 handhelds should use zip "Store" mode as the compression would take too long.
	- Backup folder: /Palm/BackupE

Network Connectivity</h4>
	Explorer co-operates with WiFiGenie (http://www.iscomplete.org/Store/WiFiGenie.asp) - 
	a powerful utility that allows access to remote drives as if they were on the handheld.
	This way you can exchange images, songs etc. between a PC and your handheld, or download
	important data from the web.
	Resco Explorer will add more enhanced network management tools in the future releases.

Other news
	- Exporting file list to the memopad (main menu)
	- Special RAM filters showing locked or opened databases (RAM context menu)
	- Improved toolbar (switchable from the title bar)
	- Improved preferences (hacks etc. recognized)
	- Direct launching of Kinoma player files
	- Lot of things were optimized (e.g. zip)


--------------------------------------------------------------------------------
V2.41 (Feb-24-2005)
--------------------------------------------------------------------------------

Main menu is formally reorganized (user request), "Repair Exchange Prefs" renamed to "Repair Associations"

T5/T650
	- Focus ring works in several dialogs
	- Corrected; Closing of the main menu when the search box had the focus

Backup:
	- Files opened for exclusive access are skipped,
	- PIM databases, T3 DIA patch etc. allowed
	- 'ResetAfterInstall' attribute is checked (Implies reset after the restore is completed)
	- Explorer version on the card checked
	- Backup file selection remembered

Removed bugs:
	- Restore did not find the archived backups on the handhelds with multiple cards.
	- Crash in 'Backup Associations'
	- Moving apps among categories
	- Crash when accepting downloaded zip (T600)
	- Crash when viewing images via Media application


--------------------------------------------------------------------------------
V2.42 (Mar-21-2005)
--------------------------------------------------------------------------------

- Html files on the card can be opened if you have one of these browsers:
  WebPro 3+, Blazer 3+, NetFront (Clie), Novarra 3+.
  These browsers can't handle local files: Blazer 2, Clipper, AvantGo, EudoraWeb

- Delete of documents copied from the card to RAM prior to launching associated app after the viewing has finished.
  Remark: The document changes are not saved back to the card! (Should be done in the future.)

Backup verification:
- Verify backup menu option enables reliable check of the selected backup.
  The function performs bytewise comparison of every backup-ed database to the original RAM database.
- The same option is available in the backup itself.

T5/T650
-------

- RAM info includes the DbCache state.
- New column added - NVFS size. While the original 'Size' column reports the size when the DB is
  dumped to the card, 'NVFS size' reports the size on the NVFS drive. This size is usually higher.

- Backup-related dialogs are equipped with additional safety measures:
  -- The dialogs check for the presence of risky background tasks that are known to cause a crash
     after DbCache gets filled. (I.e. those apps are not prepared to work around the Palm OS bugs.)
  -- Restore dialog checks DbCache and a suggestion to reboot is issued if the free space is too low.
     (Nevertheless, the restore might succeed even without the reboot. The reboot just decreases the probability
     of the DbCache corruption.)

--------------------------------------------------------------------------------
V2.50 (May-07-2005)
--------------------------------------------------------------------------------

Speed and other optimizations:
- Backup slightly faster
- Restore faster more than 2 times
- Incremental update is much faster. (Depends on... In some case even 10 times.)
- Backup encryption was speeded up approx. 10 times (at least for ARM machines) so that
  it now adds only some 10% to the time of the non-encrypted backup.
- Verify substantially faster
- Remembering database selection takes much less space

Backup functionality:
- allows DB records longer than 64K
- correctly treats non-ascii DB names
- allows optional crc computation (compatibility to the other zippers)
- Possibility to exclude old PIM databases
- Net Library added to the exclude list (dangerous to restore)
- eBooks are not compressed in the fast compression mode because they are as a rule already compressed
  and the usual gains are up to 10%.

Other news:
- Zipper faster by 25% (ARM only)
- Zipper is able to work with smaller memory. (Makes sense mainly for Palm OS4 users.)
- Rename of files with very long names possible
- Tungsten E2 compatibility
- 2 cards with identical labels are now tolerated.
- NVFS handhelds: comparison NVFS size vs. DB size is now possible in the PALM_DM folder of the built-in drive.
  This was necessitated by the changed naming convention palmOne applied to the newest handhelds.  

Removed bugs:
- Crashes when working with databases with records larger than 64K
- Bug in the name mangling for non-ascii database names
- Prevents creation of empty __smll__.zip file (in case of elimination of small databases),
  that in turn occasionally resulted in the "Backup Corrupt" error message.

Compatibility:
Name mangling is incompatible to the previous release. 
The consequence is that databases with names containing non-standard characters use different names 
in the backup set than the previous version.


Comments on NVFS
----------------

More NVFS problems resolved, but the success of all backup operations is further on matter of chance.
Suggested policy:
- Stop background apps. (At least those discovered by Backup.)
- Run backup.
- In case of a crash update the interrupted backup.
- When ready, run Verify. Delete all different files and run Backup Update again.
 (Keep in mind, that some databases are naturally modified - e.g. preferences and various caches.
  Differences in those files do not signify any problem.)


Comments on PIM databases
-------------------------

The following concerns T3+ (T3, T5, T650, E2) palmOne handhelds.

These handhelds should switch on "Skip old PIM DBs", while the remaining devices may ignore this setting.

Old PIM databases: This term represent AddressDB, DatabookDB, MemoDB, ToDoDB.
These DBs are not used on T3+ palmOne handhelds. Actual PIM data are stored in other databases. 
Old databases should be skipped to avoid potential conflicts with new PIM databases during the Restore operation.

PIMsSupportStatuspdme is backed up always (palmOne advice).

This is the palmOne statement:
  In general, the backup policy should be: If the new PIM databases and
  the compatibility layer are present on the device, don't back up
  (export/import) the old PIM databases and leave everything else as they are...

  The 'PIMsSupportStatus-pdmE' database should be backed up as well,
  because it does not only contain 'cleanup' information for the old PIM
  databases, it also cleans up the new ones whenever they have empty
  records (which typically happens when the old PIM databases are being
  accessed and then the device resets)...


Update v2.50.1 (May 24, 32005)
------------------------------

Bug correction: Backup sets not recognized after a hard reset until the HotsyncId was defined.
Databases with records larger than 64K can be zipped, copied to RAM, card etc.

Update v2.50.2 (May 27, 32005)
------------------------------

TH55: preview of the local html files
Right Explorer pane: +/- keys for fast scrolling (useful mainly for Treo)

Update v2.50.3
--------------
	eReader added to the reader list *(should work for bothe free eReader and eReader Pro)


--------------------------------------------------------------------------------
V2.51 (Aug-15-2005)
--------------------------------------------------------------------------------

Better backup
	- LifeDrive users should exclude readonly DBs as these files are normally preinstalled on hard reset.
	This may prevent some conflicts at the restore phase.
	(Readonly databases are listed with 'R' attribute.)
	Warning: The above statement is true unless you do not modify the readonly flags yourself.
	- Categories are backed up.
	etc.

New commands
	- Install - a shortcut for copying databases from card to the RAM (accessible via Context menu)
	- Card Format (Context menu)
	- Copy To... - lets the user select folder, where the current selection (files, folders) is copied.
	- Export list as txt... - Same as 'Export list as memo' except it creates a card txt file. (CSV format)

Optimizations
	Folder loading much faster
	Improved support for small fonts: faster drawing, more lines per page
	Cursor:	Longer scrolling subsequently increases the scroll speed.
	Cursor:	T650: optionKey + Up/Down is interpreted as PgUp/Dn

Other news:
	Search/filter dialogs allow for search by DbType/Creator
	TCPMP player supported
	Txt/bin viewers offer the possibility to delete the viewed file.
	DB viewer displays locked attribute for the record databases. 
		(Locked records have "Ln" suffix in the record list, where "n" is the lock count.)


--------------------------------------------------------------------------------
V2.52 (Sep-09-2005)
--------------------------------------------------------------------------------

Treatment of databases with null records is changed: 
While in the past versions the null records were ignored, they are now preserved 
(copied, backed up, restored).
This type of databases is very rare. (Used e.g. by TomTom Navigator.)

Solved some conflicts between ROM and RAM files using the same name.
(E.g. in Backup Verify, copying from RAM to ROM, preview of the ROM database etc.)

T650 browsing: Shift+Up/Down is interpreted as PgUp/Dn.

Comparison by CreatorID is case-insensitive

Exotic RAM DB name (containing special chars such as '/', ':' etc.) are now supported.

Copy To dialog offers copy/move choice.

Improvements in the reception of the beamed files. (E.g. possibility to switch to Explorer.)

Removed crash in the Control Panel / Alarms.

Corrected DB preview for databases with empty (null) records.

Zip: Correct refresh of the file size after a zipped file was edited.

Click on a ROM database: The DB is not copied to RAM anymore.

Copying files larger than 40MB: Correction of the progress bar

Correction for the Palm OS bug/feature, when the OS ignores the AppInfo/SortInfo blocks
during the size computation.


Update V2.52.1
--------------

Fixed the path translation in the Categories tree and Search results. (Error dmErrCantFind)

Fixed problem in copying card files storing DB with diferent name to the RAM over existing older
version. (Upgrade from the file with name differing from the DB name.)

Repair Associations reports the CreatorID's of the apps that are illegally registered.

Ordering of the context menu items modified. (User request)

Fixed small fonts in the list on OS4 devices.


Update V2.52.2
--------------

Prev/next commands in the DB viewer implemented:
- via buttons
- via left/right 5way keys (models without focus navigation)
- shift+up/down (treo)

Associations dialog optimized for speed.


--------------------------------------------------------------------------------
V2.61 (Nov-28-2005)
--------------------------------------------------------------------------------

Documents
---------
New root folder "Documents" allows creating virtual subfolders that can hold links to files
or databases. 
Documents can have can have any subfolder hierarchy creating thus a virtual file system.
File links can added using drag/drop, copy/paste etc.

By default, subfolders "Documents", "Images" and "Music" are created and populated
with known suitable databases.

Each document folder can have assigned a query.
The query is defined via the document folder info dialog and allows to specify any combination
of the RAM documents/images/music databases and a card folder/mask.
E.g. you can specify this query: 
	All RAM images + all card "jpg;gif" files from /DCIM folder.

To activate the query call the Refresh command (document folder context menu). 
Refresh will add the links satisfying the query and delete invalid links.

"Invalid link" refers to non-existing RAM databases or card files.
Explorer won't delete card links that point to a card that is not inserted.
(Notice, that if you don't label your cards distinctly, Explorer will not recognize the card swap.)

One-handed operation on the applications/document folders:
- Left/right icons when the categories combo-box in the top left corner is selected.
- Treo users can additionally use option+left/right (irrespectively from the cursor position)

New special filter 'Show Documents' is accessible from the RAM context menu. As the name suggests,
it shows known RAM documents.


Icon View
---------
Explorer right pane can now be presented as an icon list. (Main menu option 'Toggle Icon View'.)
The icon view may be selected independently for either Documents/Applications
or the remaining folders.
General Options allow to select large or small icons.

Launcher View
-------------
When you open one of the doc/apps folders and hide the tree and the toolbar, you get the launcher view
with the typical category selection combo-box. Unlike other launchers the combo-box offers not only
application categories, but also the root document folders.

Application interfaces
---------------------
- doc, txt, rtf, xls, xml or csv files can be opened for via MobiSystems Office. (Needs MobiOffice v7.25+)
- Repligo interface works for documents located either in RAM or in the Repligo documents folder.
  Supported file types: Microsoft Word, Excel, PowerPoint, PDF, Project, Visio, Web pages etc.
  Needs Repligo v2.1.4+ available from http://www.cerience.com/viewers/pc.php and from http://www.repligo.com
- Documents To Go: Supports doc, xls, ppt files and (since the v8.0) also pdf files.
  Needs DTG 7.0+.

Associations
------------
Associations-related menu options were moved to the "Manage Associations" dialog.
'Restore on each Reset' checkbox in this dialog allows the automatic restore of associations after 
each reset/Hotsync.
These are the 2 typical events when associations use to be modified either by OS or 3rd party applications.
(Explorer tries to be the last application that modifies the associations, but this in fact cannot be guaranteed.)

External tools dialog
----------------------
- Added the possibility to select user-selected tool.
- Out of the standard tools only those are listed that are installed.

Name mangling 
--------------
is used less frequently. 
Example: Database "Français" is copied to the card as "Français.pdb", while previous versions would 
use "Fran%E7ais.pdb" replacing ç by its hexadecimal code.
Mangling is used only for non-printable characters and characters forbidden in the file names.
Full name mangling is used further on in backup.

Other news
-----------

Info dialog - added 5way navigation.

Smart history: Remembers only folders where non-trivial activity was performed.

Titlebar reorganized to better fit the launcher view. Toolbar icon replaced by a small triangle
in the bottom right corner.

Context menu of individual apps in applications folders: 
Added options Explore (access to the application resources), Beam.

Speed optimization.


v2.61.1
-------

Added button for the "Toggle Icon View" (bottom right corner)

Search/Filter:
	- Type/creator search is case sensitive
	- DB files on the card can be searched for the type/creator as well


v2.61.2
-------

Backup - added support for Hotsync names containing characters that are invalid in the file names.


--------------------------------------------------------------------------------
V2.70 (Feb-17-2005)
--------------------------------------------------------------------------------

Launcher:
- Interface to PalmPDF (prepared for PalmPDF v1.1)
- New documents category - eBooks
- Launching of the card applications substantially improved
- Card apps display icons similarly to the RAM apps

For techies:
- List of notifications (Control panel)
- List of protected DBs (RAM / Special Filter)

And:
- Improved mapping of the HW home button.
- Backup sets can be renamed. (Info about the backup date is stored in a special file called ".info".)
- Several bug corrections and optimizations


v2.70.1
-------

Improved hard Home button functionality



--------------------------------------------------------------------------------
V2.71 (Sep-26-2006)
--------------------------------------------------------------------------------

First Palm OS5 release only.

Optimizations and code improvements:
- Huge size reduction (stripping off Palm OS4 support + further optimizations)
- Safer copying: Better identification of write errors.
- Card browsing: More files system errors handled

User interface:
- Long press of the center button can be used to open the context menu. (General Options)
- Incremental search works also for the folders. (In case of ambiguity files are preferred.)
- Filter preserves the file selection

Better identification of application databases:
- Secret CreatorID's for a number of popular applications are recognized.
  Many so far unidentified databases display app icons. (Notice: Some apps do not define icons for all resolutions. Use default font size to see the most icons.)
- Concerns also Control Panel > Preferences with improved identification of unknown items.
- Improved orphaned list (newly identified databases are not listed)

Viewer:
- Support for jpeg images coded as 24bit RGB
- Database preview displays bitmap resources as images.

Other news:
- Audio: mp3/wav files can be played with Explorer (provided the device has mp3 codec; LD, T5, TX, T650, E2, Z72...)
- Multi-beam (transferring several files at once), beam from the application tree
- DB Info dialog contains extended information in the last tab (application this DB belongs to etc.)
- Improved opened list: discovered also exclusively opened files (RAM context menu / special filter):


v2.71.1
-------

Based on user requests old center button interface was re-enabled as an alternative. (General Options)
Fix: 5way handling on Treo 600.

Remarks:
Treo 600: Long press interface does not work for Treo 600, because the device does not recognize needed events.
All devices with keyboard: Notice the Enter and Spacebar keys can also be used for the 'Open' command.


--------------------------------------------------------------------------------
V2.72.1 (Oct-21-2006)
--------------------------------------------------------------------------------

Fix: Cursor operation on Tungsten E2
Fix: App launching works for Treo T700p

Multiselection
---------------
Input focus was introduced in the multiselect mode. This enables selection using the 5way.
Exceptions:
- Folders cannot be selected with the center button as it is interpreted as "Open". Folder can be selected only with the pen.
- Some folders do not allow multiselection: Application categories, Control Panel

Special Filters
----------------
New special filters for RAM folder:
	- 'Show PIM databases'
	- 'This App Files' displays known databases belonging to the application which owns selected DB

Special filters can be cancelled using either the Back button (title bar) or the Backspace key (Treo).

Another possibility to investigate app resources is the application folder under the Applications tree,
where each application has the Databases and Preferences subfolders - i.e. unless they are empty.
The folders display also databases/preferences with known hidden creatorID's.

(Alternative for one-panel system: Go to say /Device/Applications/All/, select an application,
open its context menu and select 'Explore'.)

Documents
----------
Refresh deletes also non-existing links. (Old policy was to ignore bad card references as it could be due to the card swap.)
Non-existing links display "stop" icon.
fix: Internal Explorer player can be used for playing card mp3/wav files.

Remark:
Documents have to a lage extent similar functionality as Favorites in Resco Viewer.
(Several user requests concerned introduction of the Favorites folder.)

Other news
-----------
Compatibility to Treo 680.

On the handhelds without the 5way button the ".." entry is suppressed in the app categories. (Typical launcher look&feel.)

RAM Info dialog has new option: Flush DbCache.

CopyTo dialog opens on the last selected folder.

BackSpace key (Treo) is used subsequently to:
1. Clear the incremental search field (top right)
2. Cancels the RAM special filter
3. Toggles tree panel - icon panel (2-panel mode)

Efficient interface to DocsToGo v9 - faster (transfers file path instead of the whole document)
and allows document editing.
Remarks:
1. DTG requires that the files are closed via blue "<-" button at the bottom - not by hitting the hard home button.
2. Known DTG bug: Excel documents return to the main DTG program.


Remark - usage of hidden creatorID's:
-------------------------------------

At present we detect hidden creatorID's for 
	AddIt, 
	Agendus, 
	AvantGo, 
	Bejeweled, 
	BibleReader, 
	Blazer, 
	BtManager, 
	ClipPRO, 
	DiddleBug, 
	Documents, 
	GrxView, 
	Handmark Express.
	iSilo, 
	LauncherX, 
	MegaLauncher, 
	Numberz, 
	PTunes, 
	SlovoEd, 
	Snapper, 
	SplashClock, SplashID, SplashMoney, SplashPhoto, SplashShopper, 
	TextPlus, 
	TomeRaider, 
	VersaMail, 
	VolumeCare, 
If you want to extend this list, then send us the mappings HiddenCreator -> AppCreator. 
(Please select only popular apps.)

Example for CreatorID mapping:
	'FUAU', 'VolC',		// VolumeCare 
	'fuau', 'VolC',		// VolumeCare 
(FUAU and fuau are hidden creators; VolC is the creator of the main app.)


v2.72.2
-------

Small improvements in Manage Associations dialog and Unsaved Preferences panel
Preparation for the bug removal in the DTG interface: Should come with DTG v9.001.
New pdf manual


v2.72.2
-------

Fix: Crash when deleting alarms.
".." folder shown in Applications folders in the 2-panel mode.


--------------------------------------------------------------------------------
V3.01 (May-21-2007)
--------------------------------------------------------------------------------

Network Services:
- FTP access is realized via FTP Connections dialog and the FTP node in the tree.
  FTP node works just as another card, i.e. you can copy, delete, view remote files. (etc.)
- Download File menu option enables http downloads.
- Resco Updates menu option offers handheld access to Resco downloads.
- For additional network options see the General Options dialog.

GUI
Optional address bar at the top.
Icon view with small icons uses 2-column format. (Space-efficient arrangment.)
Many dialogs redesigned, most noticeably General Options and Backup commands.

Favorites:
Allow for bookmarking of frequently visited pages.
The users can select a hotkey for fast access to the favorite pages.

RAM Analyzer:
RAM icon view is replaced by a structured folder view with the databases sorted into reasonably defined folders.
The sorting relies on CreatorID's, associations and other techniques.
Ideal tool for PDA cleaning.
- Folders can be expanded/collapsed via main menu. 
- The two RAM views are toggled via button in the bottom right corner.


v3.01.1
- Formal fix: Explorer version string pointed to the previous version.
  (Consequence: Backup always thought that the card copy of Explorer needs to be updated.)

v3.01.2
- Fix: Move app to another category
- FTP: File delete improved
- Clie: Fix for JogUp
- Compatibility to DocsToGo v10


--------------------------------------------------------------------------------
V3.10 (June-21-2007)
--------------------------------------------------------------------------------

Network:
- Explorer can access local LAN networks or or remote VPN networks. (Similar functionality as WiFile)
  Details are in the new manual ExplorerNetworking.pdf or on the Resco web.
- Control Panel > Network contains basic tcp information and offers ping/tracert commands.
- General Options contain new network-related options

FTP:
- FTP log is accessible through Info command, when the focus is on an FTP node in the tree
- FTP connection allows for the definition of the remote root directory
- Context menu for FTP nodes in the tree has the option Reset. It closes the whole tree structure under the selected node.
  Use to rebuild the structure after a failure.
- Preinstalled servers: Those who never used FTP, will find pre-installed sample public FTP servers.
- A number of fixes/improvements (better reconnect policy, solved problem with "too many sockets etc.)

Other news:
- RAM folder view recognizes apps installed on the card. Ditto for the Control Panel > Preferences.
  (Consequence: Fewer unrecognized databases.)
- (User requests) Launcher view uses old multi-column format for any icon size.
- Download dialog improved (URL history, local folder defaults to the active folder - provided it is on the card)
- Support for pdassi eBooks

Changes against the last Beta release:
- Improved support for older Windows or Samba versions
- Enumeration of admin shares has to be allowed in General Options


--------------------------------------------------------------------------------
V3.20.0 BETA (Sep - 12 -2007)
--------------------------------------------------------------------------------

FTP:
- Support for active mode. Now you can connect to servers that do not allow passive connections.
  (Passive mode is further on the preferred mode to be used.)
- Every user can make use of a free FTP account at the FTP hosting service Drive Headquarters.
  This account includes 1GB storage and 1 GB download/month and can be used with Resco Backup Pro or desktop ftp clients.

Secure FTP login (Same implementation as in Resco Backup Pro)
Means your user name and login are transferred via safe lines.
Explorer always attempts secure login (over SSL) and if it is not supported, the standard plaintext login follows.
You can disallow fallback plaintext login in the FTP setup dialog.

Conditions for using secure login:
a) Your FTP server must have this ability. (Ask if it supports AUTH command with the parameter 'TLS'.) 
b) Your handheld must support SSL transfer. (In other words https links in Blazer.) 

File Download:
- SSL in HTTP download supported. You can now use URLs starting with https://...
- Password support (Basic Mode Only). You can now perform downloads that require user login.

Favorites:
- Favorites added to CopyTo Dialog
- Favorites icon (asterisk) added to the address bar

Control Panel:
- Time Server support (ControlPanels->Network->Time)
- Improved Preferences browser (assigns names to the system preferences records)

Secure encryption
You can now use zip with secure AES encryption.	(compatible with WinZip, 7Zip, PowerArchiver, Resco Backup Pro)
Sample use cases:
- Access to the backup sets created with Resco Backup Pro
- Storing sensitive information. Using the encryption in combination with zip has several advantages:
a) Compression decreases the output file size (less memory consumed, faster card access)
b) Possibility to store several files at once.

Other news:
- Keyboard Shift for multiselection (Treo)
- Disconnect on Exit option is more reliable.
- Copy To dialog: Added possibility to automatically open destination folder
- Network URL can specify remote directory using URL scheme \\<server>\<share>\<path>,
  where path := <dir1>\<dir2>...


V3.20.1 Sep-20-2007
-----------------------

- Network connection can have remote folder.
- Improved Bmp loader. (Some exotic formats added.)
- DB viewer - Images display dimensions of the complete bitmap family. (Developer support.)


V3.20.2 Sep-27-2007
-----------------------

FTP Setup dialog > Advanced:
	Secure login has 3 modes: { If Available | Always | Never }

FIX: Copying doc/xls/ppt files resulted in removing the file extension.

FIX: Resco Updater: Conflict between RescoBackup standard and Pro versions


V3.20.3 Oct-08-2007
-----------------------

FTP: FIX in the secure login to DriveHQ


--------------------------------------------------------------------------------
V3.21 Oct - 24 -2007
--------------------------------------------------------------------------------

Live filter in incremental search. (Switch on in General Options)


- Save as (file receive) and Create zip dialogs allow for browsing the target path.
- Copy to RAM is significantly faster (E.g. approx. 3x faster if you use network connection instead of Hotsync.)
- Improvements in the network layer
- Centro: App launching works
- Lengthy operations cause screen dimming

MP3:
- Improved mp3 loading, 
- Treo buttons volume/hold can be used

Launcher
- Launcher view shows the signal strength icon. (Treo)
- Hidden card apps are not shown


--------------------------------------------------------------------------------
V3.22 Dec - 17 -2007
--------------------------------------------------------------------------------

Documents
----------

Documents folders are realized as a live search.

Example: If you define an image folder (e.g. query *.jpg on the whole card),
then this query will be evaluated each time the folder is opened.

Previous version would remember the image set (i.e. the query result). 
Both implementations has advantages and drawbacks, but since the previous implementation
wasn't too popular and since the new implementation is mentally easier, we decided for a change.

Other news
-----------

- Launcher: Much faster handling of the card apps
- Favorites: Possibility to map the ALT key (Treo)
- Text editor preserves Linux/Mac/Windows line terminators
- Faster network browser in the Copy To dialog
- Live filter implementation changed: 
	E.g. typing "re" is implemented as "re*". (Previous version took "r*e*", which wasn't a good idea.)
	Note that search by extension remains. E.g. ".jpg" filters all jpg files.
- Long tap on the Favorites (*) in the address bar works better.
- Online help reorganized ("Did you know?" topics)
- Several bug fixes


V3.22.1
General options:
- Added the possibility to switch off green button mapping to context menu (T680 + higher models)
- The options Tap on icon/name are properly treated in the the file folders using icon view with small icons.

V3.22.2
Fix: Crash when intercepting sent zip file into not-running Explorer

V3.22.3
Change in the registration for the compatibility reasons with Resco Suite



--------------------------------------------------------------------------------
V4.00 Mar - 05 - 2008
--------------------------------------------------------------------------------

Bluetooth browsing
-------------------

- Bluetooth FTP
Allows your Palm to access the files on a PC, laptop, PPC, Nokia etc. 
Connections are created via BT Connections dialog.
Condition: The target device must provide an OBEX FTP server. (Most Nokia phones, PC's with a BT dongle etc. - see Explorer documentation) 

- Bluetooth server
Explorer installation includes RescoBlueFTP.prc - a server enabling other devices to access your PDA over BT.
(Similar functionality as Softick Blue Files.)

- See also BT-related settings in the General Options.

Secure Storage
---------------

- New root-level folder "Secure Files". (= shortcut to the card folder "Secured")
Any file copied to this folder gets encrypted, any file copied from this folder gets decrypted.
Common file types (images, Office documents etc.) can be opened/edited directly from the secure storage.

- Files copied to the underlying card folder /Secured by a non-standard mean (i.e. using anything else
except a copy to the root folder 'Secure Files') are identified and:
1. These files are not listed under 'Secure Files' folder.
2. Explorer gives a chance (once per Explorer run) to import these files.

- Secure storage uses single password that is setup at the first use.
The password is remembered during one Explorer session plus 1 minute afterwards.
To change the password use the context menu of the Secure Files folder. (Allowed only for empty secure storage)

- Secure storage uses 128 bit AES encryption. The stored documents can be opened with WinZip, 7Zip, Power Archiver. (WinRar, Total Commander do not work.)

Network
--------

- Net/BT/FTP setup dialogs have select menu to allow the use of the clipboard
- Network context menu has new option - New BT Connection
- Net/BT drives: Context menu has the option 'Install to RAM' if the selected file represents a DB.
- Progress dialog displays transfer speed info also for single file copy to/from a network/BT drive.

Possibility to use secure FTP data connection: 
FTP connection setup > Advanced:
1. Setup Secure Login - must not be "Never"
2. Check on Encrypt Data Channel
The success depends on the server abilities.

Display of the card folder sizes
---------------------------------
1. Show the Size column
2. Go to the topmost folder, show the context menu of the card and select "Explore Folders".
3. From that moment Explorer will compute the folder sizes.
4. Explorer remains responsive:
Any pen/keyboard event interrupts the size computation - you get "?" sizes.
(Warning: Scroll carefully so that you do not cause interrupts.)
5. To stop the folder computation switch to any non-card folder.

GUI
----
- Smooth scrolling of the file lists
- Search dialog improved
- The tree icon moved to the bottom toolbar
- Bottom toolbar: Cut/Copy/Paste icons substituted by a kind of Copy/Paste icons. (The decision whether to copy or move is done during the Paste phase.)
- Bottom toolbar: Duplicate icon was substituted by CopyTo.
- Search icon was integrated with the incremental search box. (The icon retains the old functionality, i.e. you can tap it.)

General Options
----------------

General > "Dim Screen for long Copy"
Gives the possibility to switch off automatic screen dimming for long copy operations.
(Some users announced conflicts with utils specializing on optimizing the backlight.)

New network options:
- Disconnect BT on exit
- Show Bluetooth icon: This is supposed to work on all Treo phones (no problem as TX etc. has BT icon elsewhere),
  but T650 works strangely: The gadget is there (to the left from search field), but invisible.

Confirmations:
The confirmation "The file needs to be copied to a temp location. Continue?" can be switched off.
(Checkbox "Copying to TEMP")

- New tab in General Options - Hot Key setup (Note that the hotkeys for Favorites moved here)

Other news
-----------

- Info dialog: Location field can be copied to clipboard. 
- Zodiac: Support for directional keys (browsing) and other specific keys (hotkeys)
- Treo 600 is not supported anymore (smaller app size)
- File browser (used e.g. in CopyTo dialog) allows for folder creation - use long tap on a parent folder.
- Doc launching: added Natara Bonsai RAM databases, support for TH55 NetFront
- Improved audio player (design, ability to play mp3 folders)
- Speed optimizations, Bug fixes


WARNING for the users of v4.01.1 (Beta testers)
------------------------------------------------

INCOMPATIBILITY TO v4.01
The names of secured files changed. They are mangled by adding a prefix "_  " to recognize
files that were imported in an incorrect way.

If you use Secure storage, then
*** EXPORT THE OLD FILES USING v4.01 AND IMPORT THEM AGAIN USING v4.01.1 ***

*** v4.01.4 ***

Fix in associations:
1. Automatic associations restore could copy associations valid for one drive to another drive.
   Particular problem: Launcher uses another app directory for the BuiltIn drive (/Applications)
   than for the card (/Palm/Launcher). Above bug redefined the card app directory to /Applications,
   which in turn caused that card apps became "invisible" for the launcher.
2. As a side effect it is possible to override (for example) Media associations in the Control Panel.

Procedure to correct old data:
a) Find the database RescoPrefBackup. If you don't have it, you have no problem. Otherwise delete this DB.
b) You can now create a new associations backup.

*** v4.01.5 ***

Fix in the Exit option when RE was set as a default launcher.


--------------------------------------------------------------------------------
V4.02 Apr - 01 - 2008
--------------------------------------------------------------------------------

- Call interface to mOcean (easier replay of mp3's etc.) - needs mOcean 3.0.14+
- App icon for Bejeweled2 properly displayed
- Text Editor allows copy to clipboard (menu)

Search dialog
- Does not display folders in the results list
- Found Files folder (created after pressing [->] button) is more than 10x faster in most cases.
  (It does not read the file information. You should use sort by names as otherwise
  the sort algorithm will force reading of the file information.)


--------------------------------------------------------------------------------
V4.10 Sep - 19 - 2008
--------------------------------------------------------------------------------

FTP connection allows now both relative and absolute remote path. (Previous versions always used relative addressing.)
Absolute syntax: 192.168.0.3//Volumes/WDData/
Relative syntax (Relative to the user ftp root): 192.168.0.3/Volumes/WDData/

Centro / Treo 680/700p/755p:
Explorer works as default launcher also after the soft reset. (Provided it is designated as default launcher in General Options.)

Fix in copying from FTP server to the device RAM. (Bad connection could cause corrupted download.)

iPhone-like Touch Scrolling can be switched on in General Options.

*** TABS interface (FireFox style) ***
Explorer now allows to use multiple views - called Tabs.
Allow Tabs in General Options > View.
Define a shortcut for Tab swapping in General Options > Keys.
Adding/Removing Tabs: Use +/- icons on the sides of the Tab bar.
Custom Tab names:
	Use Tab context menu to redefine the Tab name. The custom name is fixed, while the default behavior
	is to use the name of the opened folder.
Folders with custom names are kind of locked: When you browse to another folder and swap the Tabs, original folder is restored.
You can drag file(s) onto the Tab bar.
To open the Tab context menu - long tap on the Tab area.

*** v4.10.2 ***

Launcher:
- Text font customizable. (Select Font dialog)
- Small icons mode (General Options) fits more icons on the screen.
  In the extreme case (small icons + smallest font) you can get 42 apps onto one Treo screen.

Other news:
- Favorites allow for applications shortcuts.
- Folder context menu has the option New Tab (Opens the folder in a new Tab)
- Receiving files into tabbed interface works correctly
- Copy To dialog lists Favorites as the top-level node

*** v4.10.3 ***

- New Tab context menu option allowed also for root folders
- Filter works on the per-Tab basis - similarly to the multiselection
- Better sensitivity for the list (right panel) scrollbar


Suite: http://www.treocentral.com/content/Stories/2006-1.htm
News: http://mytreo.net/software-reviews/resco-neeews-on-your-palm-treo/

*** v4.10.4 ***

Launcher 'All' category optionally includes card applications (General Options)
Drawing bug: Shift indicator could become hidden when changing tabs
Confirmation of the Tab delete can be switched off (General Options)


--------------------------------------------------------------------------------
v5.01 Dec - 11 - 2008
(Aka Explorer 2009)
--------------------------------------------------------------------------------

Main menu > Tools > Check Cards: Check of the card FAT file system
(Equivalent of the error detection in the chkdsk utility.)

Folder synchronization Can be used for example to keep in sync a card folder with a network folder.
Similar functionality as the 'Synchronize Dirs' of the Total Commander. (Popular desktop file manager.)

Zip verification (zip file context menu) performs the CRC check. (Note that Backup allows to switch CRC computation off for the speed reasons.)

Tar/bzip2
- .tar/.tar.gz/.taz/.tgz archives can be extracted
- .bz2/.bzip2/.tbz archives can be extracted, but you need to install bzip2lib.prc plugin (part of the Explorer zip installer)
- Only readonly access is offered; editing as known from the zip archives is not supported.

Text editor:
1. Can process txt files larger than 64K.
2. Text wrap can be switched on/off (text editor menu)
3. Added pageUp/Dn buttons

Hex viewer supports files over 64K, too.

Image viewer: 
 - Up/Down key switches to next/prev image.
 - Added option to open the image in the Resco Viewer

FTP
1. FTP Connection Setup > Advanced: SSL encryption can be set for login and/or data separately
2. FTP upload copies now the file date, too. (If supported by the server.)
3. Explorer supports Unicode if the FTP server supports it, too.
   (Technical explanation: The server must support OPTS UTF8 command.)

LAN connections: Improved treatment of the file attributes

Formal change:
Assoc. Doctor is moved to the Control Panel

Treo: Long shift button press opens selection menu.

Autohide toolbar: If the toolbar is hidden and you drag to the bottom of the screen, the toolbar 
temporarily opens so that you can drop the dragged item onto one of the icons.


Remark - World Time (Control Panel > Network > Time):
Explorer implementation is based on older TIME protocol - http://en.wikipedia.org/wiki/TIME_protocol
More complex Network Time Protocol is not supported.
Example: ptbtime2.ptb.de server used to work, but since it switched to the NTP protocol, Explorer can't use it.


*** v5.01.1 ***

Card check - Comparison between master and backup FAT tables handled differently so that the error
"Not enough memory" is avoided.

Info dialog: Fix in folder size computation. (Concerns large folders.)

*** v5.01.2 ***

Fix: Control Panel > Associations Doctor did not open the right dialog.

*** v5.01.3 ***

Fix: Handling of the "|" character in the DB names (when copying to the card)
Fix: Blue FTP was updated to v1.02 to accept RE 2009 registration


--------------------------------------------------------------------------------
V5.02 Jan - 19 - 2009
--------------------------------------------------------------------------------

Sync Dialog
- Up to 5 different setups possible.
- Fix: Newly created subfolders were not synchronized.

Other news
- Compatibility to some exotic ftp servers. (E.g. ftp.messagingengine.com)
- App launcher - correct icon for Fonts4OS5
- Improved card check - some FAT problems do not terminate the scan.
- Image Viewer - Fix in swapping the images with up/down arrows

*** v5.02.1 ***

Fix: Solved drawing conflict between the opened menu and some shortcuts such as Toggle Tree or Next Tab.
Fix: Encrypted zip did not handle .pdb files correctly.
Fix: Crashes in playing specific mp3 files.

*** v5.02.2 ***

Check card: Check report can be copied to the clipboard.

--------------------------------------------------------------------------------
v5.03 June - 12 - 2009
--------------------------------------------------------------------------------

FTP: 
- DriveHQ account is initialized without SSL (unsupported for free accounts)
- Security: Possibility to switch off storing FTP password 
  (Done in the FTP account definition. To apply to an existing account, just edit it formally and press OK.)

Messaging:
- Fixed Messaging icon in the launcher
- Constitutes now a separate group in the RAM group view

Zip installer includes special release for the Palm PRE Classic emulator from MotionApps.

Small fixes (Setting file attributes, invalid keys setup, scan card - crash when reporting bad sector)

*** v5.03.2 ***

Launcher: Corrected icons for SIM* applications

*** v5.03.3 ***

Fix: Treatment of databases with too many records (DB view, Verify backup feature)
